extends GPUParticles3D

func _ready() -> void:
	# Quando spawna, emette le particelle
	emitting = true
	# Si autodistrugge dopo che le particelle sono svanite
	await get_tree().create_timer(lifetime + 0.5).timeout
	queue_free()
